<template>
  <content-screen mode="page" class="currencies">
    <h1>Pay With</h1>
    <currencies-list ticker="aed" name="UAE Dirham" :active="selectedFiat == 'aed'" @click.native="selectedFiat='aed'" />
    <currencies-list ticker="aud" name="Australian Dollars" :active="selectedFiat == 'aud'" @click.native="selectedFiat='aud'" />
    <currencies-list ticker="ars" name="Argentine Peso" :active="selectedFiat == 'aud'" @click.native="selectedFiat='ars'" />
    <currencies-list ticker="azn" name="Azerbaijani Manat" :active="selectedFiat == 'aud'" @click.native="selectedFiat='azn'" />
    <currencies-list ticker="bgn" name="Bulgarian Lev" :active="selectedFiat == 'aud'" @click.native="selectedFiat='bgn'" />
    <currencies-list ticker="brl" name="Brazilian Real" :active="selectedFiat == 'aud'" @click.native="selectedFiat='brl'" />
    <currencies-list ticker="cad" name="Canadian Dollars" :active="selectedFiat == 'cad'" @click.native="selectedFiat='cad'" />
    <currencies-list ticker="chf" name="Swiss Franc" :active="selectedFiat == 'chf'" @click.native="selectedFiat='chf'" />
    <currencies-list ticker="clp" name="Chilean Peso" :active="selectedFiat == 'chf'" @click.native="selectedFiat='clp'" />
    <currencies-list ticker="cop" name="Colombian Peso" :active="selectedFiat == 'chf'" @click.native="selectedFiat='cop'" />
    <currencies-list ticker="crc" name="Costa Rican Colón" :active="selectedFiat == 'chf'" @click.native="selectedFiat='crc'" />
    <currencies-list ticker="czk" name="Czech Koruna" :active="selectedFiat == 'chf'" @click.native="selectedFiat='czk'" />
    <currencies-list ticker="dkk" name="Danish Krone" :active="selectedFiat == 'dkk'" @click.native="selectedFiat='dkk'" />
    <currencies-list ticker="dop" name="Dominican Peso" :active="selectedFiat == 'dkk'" @click.native="selectedFiat='dop'" />
    <currencies-list ticker="eur" name="Euro" :active="selectedFiat == 'eur'" @click.native="selectedFiat='eur'" />
    <currencies-list ticker="gbp" name="British Pound" :active="selectedFiat == 'gbp'" @click.native="selectedFiat='gbp'" />
    <currencies-list ticker="gel" name="Georgian Lari" :active="selectedFiat == 'gbp'" @click.native="selectedFiat='gel'" />
    <currencies-list ticker="hkd" name="Hong Kong Dollar" :active="selectedFiat == 'gbp'" @click.native="selectedFiat='hkd'" />
    <currencies-list ticker="huf" name="Hungarian Forint" :active="selectedFiat == 'gbp'" @click.native="selectedFiat='huf'" />
    <currencies-list ticker="inr" name="Indian Rupee" :active="selectedFiat == 'gbp'" @click.native="selectedFiat='inr'" />
    <currencies-list ticker="ils" name="Israeli Shekel" :active="selectedFiat == 'ils'" @click.native="selectedFiat='ils'" />
    <currencies-list ticker="jpy" name="Japanese Yen" :active="selectedFiat == 'jpy'" @click.native="selectedFiat='jpy'" />
    <currencies-list ticker="krw" name="South Korean Won" :active="selectedFiat == 'krw'" @click.native="selectedFiat='krw'" />
    <currencies-list ticker="kzt" name="Kazakhstani Tenge" :active="selectedFiat == 'krw'" @click.native="selectedFiat='kzt'" />
    <currencies-list ticker="mad" name="Moroccan Dirham" :active="selectedFiat == 'rub'" @click.native="selectedFiat='mad'" />
    <currencies-list ticker="mdl" name="Moldovan Leu" :active="selectedFiat == 'rub'" @click.native="selectedFiat='mdl'" />
    <currencies-list ticker="mxn" name="Mexican Peso" :active="selectedFiat == 'rub'" @click.native="selectedFiat='mxn'" />
    <currencies-list ticker="myr" name="Malaysian Ringgit" :active="selectedFiat == 'rub'" @click.native="selectedFiat='myr'" />
    <currencies-list ticker="nad" name="Namibian Dollar" :active="selectedFiat == 'rub'" @click.native="selectedFiat='nad'" />
    <currencies-list ticker="ngn" name="Nigerian Naira" :active="selectedFiat == 'rub'" @click.native="selectedFiat='ngn'" />
    <currencies-list ticker="nok" name="Norwegian Krone" :active="selectedFiat == 'rub'" @click.native="selectedFiat='nok'" />
    <currencies-list ticker="nzd" name="New Zealand Dollar" :active="selectedFiat == 'rub'" @click.native="selectedFiat='nzd'" />
    <currencies-list ticker="pen" name="Peruvian Sol" :active="selectedFiat == 'rub'" @click.native="selectedFiat='pen'" />
    <currencies-list ticker="php" name="Philippine Peso" :active="selectedFiat == 'rub'" @click.native="selectedFiat='php'" />
    <currencies-list ticker="pln" name="Polish Złoty" :active="selectedFiat == 'rub'" @click.native="selectedFiat='pln'" />
    <currencies-list ticker="qar" name="Qatari Riyal" :active="selectedFiat == 'rub'" @click.native="selectedFiat='qar'" />
    <currencies-list ticker="rub" name="Russian Ruble" :active="selectedFiat == 'rub'" @click.native="selectedFiat='rub'" />    <currencies-list ticker="ron" name="Romanian Leu" :active="selectedFiat == 'rub'" @click.native="selectedFiat='ron'" />
    <currencies-list ticker="sek" name="Swedish Krona" :active="selectedFiat == 'sek'" @click.native="selectedFiat='sek'" />
    <currencies-list ticker="sgd" name="Singapore Dollar" :active="selectedFiat == 'sek'" @click.native="selectedFiat='sgd'" />
    <currencies-list ticker="try" name="Turkish Lira" :active="selectedFiat == 'sek'" @click.native="selectedFiat='try'" />
    <currencies-list ticker="twd" name="New Taiwan Dollar" :active="selectedFiat == 'sek'" @click.native="selectedFiat='twd'" />
    <currencies-list ticker="vnd" name="Vietnamese Dong" :active="selectedFiat == 'vnd'" @click.native="selectedFiat='vnd'" />
    <currencies-list ticker="usd" name="US Dollars" :active="selectedFiat == 'usd'" @click.native="selectedFiat='usd'" />
    <currencies-list ticker="uah" name="Ukrainian Hryvnia" :active="selectedFiat == 'uzs'" @click.native="selectedFiat='uah'" />
    <currencies-list ticker="uyu" name="Uruguayan Peso" :active="selectedFiat == 'uzs'" @click.native="selectedFiat='uyu'" />
    <currencies-list ticker="uzs" name="Uzbekistan So'm" :active="selectedFiat == 'uzs'" @click.native="selectedFiat='uzs'" />
    <currencies-list ticker="vnd" name="Vietnamese đồng" :active="selectedFiat == 'uzs'" @click.native="selectedFiat='vnd'" />
    <currencies-list ticker="zar" name="South African Rand" :active="selectedFiat == 'uzs'" @click.native="selectedFiat='zar'" />
    <div slot="actions">
      <butter-link to="country-list" class="country-link">Available In USA <butter-icon name="usd" mode="flag" /></butter-link>
    </div>
  </content-screen>
</template>

<script>
export default {
  data() {
    return {
      selectedFiat: 'usd'
    };
  },
}
</script>

<style lang="scss" scoped>
@import 'butter-mixins';
h1 {
  margin: $grid*2.75 0;
}
.currencies {
  // height: 100vh;
}
.country-link /deep/ .flag {
  margin-left: $grid;
}
</style>
